devel/R-assertthat - The NetBSD Packages Collection

Easy pre and post assertions

assertthat is an extension to stopifnot() that makes it easy to
declare the pre and post conditions that you code should satisfy,
while also producing friendly error messages so that your users know
what they've done wrong.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

math/R math/R

Binary packages

OSArchitectureVersion
NetBSD 8.0i386R-assertthat-0.2.1.tgz
NetBSD 8.0i386R-assertthat-0.2.1.tgz
NetBSD 8.0i386R-assertthat-0.2.1.tgz
NetBSD 8.0i386R-assertthat-0.2.1.tgz
NetBSD 8.0powerpcR-assertthat-0.2.1.tgz
NetBSD 8.0powerpcR-assertthat-0.2.1.tgz
NetBSD 8.0powerpcR-assertthat-0.2.1.tgz
NetBSD 8.0powerpcR-assertthat-0.2.1.tgz
NetBSD 8.0powerpcR-assertthat-0.2.1.tgz
NetBSD 8.0x86_64R-assertthat-0.2.1.tgz
NetBSD 8.0x86_64R-assertthat-0.2.1.tgz
NetBSD 8.0x86_64R-assertthat-0.2.1.tgz
NetBSD 8.0x86_64R-assertthat-0.2.1.tgz
NetBSD 9.0aarch64R-assertthat-0.2.1.tgz
NetBSD 9.0aarch64R-assertthat-0.2.1.tgz
NetBSD 9.0aarch64R-assertthat-0.2.1.tgz
NetBSD 9.0aarch64R-assertthat-0.2.1.tgz
NetBSD 9.0alphaR-assertthat-0.2.1.tgz
NetBSD 9.0alphaR-assertthat-0.2.1.tgz
NetBSD 9.0i386R-assertthat-0.2.1.tgz
NetBSD 9.0i386R-assertthat-0.2.1.tgz
NetBSD 9.0i386R-assertthat-0.2.1.tgz
NetBSD 9.0i386R-assertthat-0.2.1.tgz
NetBSD 9.0powerpcR-assertthat-0.2.1.tgz
NetBSD 9.0powerpcR-assertthat-0.2.1.tgz
NetBSD 9.0powerpcR-assertthat-0.2.1.tgz
NetBSD 9.0powerpcR-assertthat-0.2.1.tgz
NetBSD 9.0powerpcR-assertthat-0.2.1.tgz
NetBSD 9.0sparc64R-assertthat-0.2.1.tgz
NetBSD 9.0sparc64R-assertthat-0.2.1.tgz
NetBSD 9.0x86_64R-assertthat-0.2.1.tgz
NetBSD 9.0x86_64R-assertthat-0.2.1.tgz
NetBSD 9.0x86_64R-assertthat-0.2.1.tgz
NetBSD 9.0x86_64R-assertthat-0.2.1.tgz
NetBSD 9.0x86_64R-assertthat-0.2.1.tgz
NetBSD 9.0x86_64R-assertthat-0.2.1.tgz
NetBSD 9.0x86_64R-assertthat-0.2.1.tgz
NetBSD 9.0x86_64R-assertthat-0.2.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.